Что делать со старыми сайтами на Joomla 1.5

A
На сайте с 12.10.2011
Offline
138
310

Всем привет,

Есть несколько сайтов на Joomla 1.5, общая посещаемость около 3К в день.

Проблемы

1) Уязвимость, иногда взламывают

2) Старый не адаптивный шаблон

Вопросы

1) Можно ли проапдейтить Joomla до современной или это не возможно?

2) Будет ли автоматом адаптивный дизайн?

3) У меня старый сервер, может быть что то слишком устарело. Какие должны быть требования к серверу?

4) Насколько все это сложно или лучше не ввязываться?

lonelywoolf
На сайте с 23.12.2013
Offline
151
#1

1) Можно.

2) Автоматом ничего не будет.

3) Нужно обновлять и приводить в порядок ПО на сервере - не ровён час, после взлома жумлы сломают и сам сервер, это хуже.

4) Достаточно сложно. Как минимум, шаблон придётся переделывать чуть менее, чем полностью. Плагины (модули) править или менять на другие. Судя по п.3 - нужно ещё и разобраться, что у вас там на сервере.

Резюме: делать даже нужно, но по времени это может растянуться, особенно если заниматься будете сами. В любом случае, информации мало. Ну и опять же: вам нужно как минимум, хотя бы проконсультироваться у какого-то системного администратора, судя по вопросу. Проще всего - сделать новый сайт и перенести информацию на него, скорее всего, с такими пирогами.

Платный и бесплатный хостинг с защитой от DDoS (http://aquinas.su)
Samail
На сайте с 10.05.2007
Offline
328
#2
alexverem:
1) Можно ли проапдейтить Joomla до современной или это не возможно?

Так что-бы просто нажать на кнопку и всё обновилось нельзя.

https://docs.joomla.org/Portal:Upgrading_Versions/ru

alexverem:
2) Будет ли автоматом адаптивный дизайн?

Нет.

alexverem:
3) У меня старый сервер, может быть что то слишком устарело. Какие должны быть требования к серверу?

PHP скорее всего обновить придётся, минимум 5.3 нужен, но лучше сразу 7 ставить.

https://downloads.joomla.org/ru/technical-requirements-ru

Алеандр
На сайте с 08.12.2010
Offline
122
#3

По большому счету обновиться на свежее малой кровью невозможно. Все плагины, шаблоны и прочее - уже другие. В том числе, возникнет вопрос совместимости версий самого php и его библиотек.

Можно сделать один из вариантов:

1) Законсервировать сайты, т.е. запретить все что можно, запретить изменение файлов веб сервером, запретить запись в папки для всех ролей, запретить изменение в бд, дать роль только на чтение и т.д. Это не всегда возможно сделать полностью и не подойдет, если на сайтах продолжают публиковаться материалы или комментарии, короче он не просто статик, а живой.

2) Если, опять же, сайты - статик и особо ничего не меняется - я такие консервы просто переношу на чистый html. Без БД, без php практически. Шансов такую статику взломать - ноль. Останется возможность правки каких-то мелочей и даже ручное подкидывание материалов. Опять же, не подходит, если сайт не просто бывший старый контентник, а живой и развивающийся. Либо, в планах с ним дальше работать плотно.

3) Собственно, очевидное - брать свежий движок, под него свежую тему и делать перенос данных. Тогда получите устойчивый свежий сайт без явных дыр, адаптивный шаблон и прочие современные плюшки. А раз сайты на выделенном сервере, то, по хорошему, стоит сразу и весь сервер переустановить, поставить свежую версию ПО, если старое используется: операционка, библиотеки и тд. Заказать параллельный сервер, развернуть свежее ПО, установить и сделать перенос, а затем, либо перекинуть DNS записи на новый, либо, иногда так возможно - перенести в пределах хостера IP на новый сервер, а старый, после проверки, убить.

Как-то так, ибо оставлять в старом виде такое себе удовольствие, постоянно бегать и проверять не ломанули ли снова )

PA
На сайте с 15.02.2018
Offline
57
#4

Обновить что ли... Все обновить. Автоматом не будет.

Ну с 3k траффика наверно стоит. По крайней мере мы обновились уже очень давно.

Почти дедик (https://goo.gl/qV1T7s) дешево|Мои VDS (https://is.gd/vds100) быстрее твоих|Продаю хостинг
[Удален]
#5

Наймите специалиста и пусть перенесет сайт на нормальный движок, пока не потеряли все.

LEOnidUKG
На сайте с 25.11.2006
Online
1554
#6

Если они приносят вам деньги, то конечно обновлять и сервер и софт, а то взломают, потом будет больше проблем и вливания денег.

✅ Трастовых площадок под размещение статей и ссылок. Опыт 12 лет! ( https://searchengines.guru/ru/forum/675690 ) ⭐ Купить вечные трастовые ссылки для сайта ( https://getmanylinks.ru/?srh ) ⭐ Ускорение ваших сайтов (WP, Opencart и др.) + Настройка сервера ( https://searchengines.guru/ru/forum/997205 )
keepersheet
На сайте с 21.06.2016
Offline
57
#7
Samail:
PHP скорее всего обновить придётся, минимум 5.3 нужен, но лучше сразу 7 ставить.

Ни в коем случае не 5.3. Хотя бы по причине CVE-2015-6835, вызвавшей несколько лет назад массовые взломы Joomla - знаменитый Joomla-0day, [20151201] - Core - Remote Code Execution Vulnerability - что пофиксено уже в 5.4, насколько помню. Использовать ветку 5.4 также категорически не рекомендуется, подробности опущу для краткости. Подчеркну лишь один момент: не сервер ломали через Joomla, как кто-то здесь утверждал, а с точностью до наоборот: уязвимый PHP был причиной взломов Joomla.

Занимался когда-то такого рода обновлениями, from Joomla 1.5 to Joomla 2.5 и затем уже к актуальным версиям движка. Малой кровью действительно удавалось нечасто. Стало быть, ответ на вопросы TS: если сайты стоят того, чтобы платить за их полновесные апгрейд и чистку - обновление имеет смысл, если нерентабельно - плюньте. "Слюной", как говаривал один незабвенный литературный персонаж.

Веб-разработка на ruby и php (https://masterpro.ws/)
A
На сайте с 12.10.2011
Offline
138
#8

Ясно, спасибо! У меня

PHP Version 5.3.3-7+squeeze26

Т.е. выходит что можно

Апдейт:

---------- Добавлено 07.08.2019 в 15:23 ----------

keepersheet:
Ни в коем случае не 5.3. Хотя бы по причине CVE-2015-6835

Ясно, т.е. выходит нужно обновляться

Samail
На сайте с 10.05.2007
Offline
328
#9
keepersheet:
Ни в коем случае не 5.3.

Под минимумом, имелось ввиду, что на 5.2 третья Джумла вообще работать не будет.

Авторизуйтесь или зарегистрируйтесь, чтобы оставить комментарий